Bug 822213 - Disallow vgchange --clustered n if any LVs in the VG are active on remote nodes [NEEDINFO]
Disallow vgchange --clustered n if any LVs in the VG are active on remote nodes
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2 (Show other bugs)
7.0
x86_64 Linux
medium Severity medium
: pre-dev-freeze
: ---
Assigned To: Joe Thornber
cluster-qe@redhat.com
:
Depends On: 672314
Blocks: 697866 756082
  Show dependency treegraph
 
Reported: 2012-05-16 12:12 EDT by Corey Marthaler
Modified: 2018-05-02 00:42 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 672314
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rhandlin: needinfo? (jbrassow)


Attachments (Terms of Use)

  None (edit)
Comment 1 RHEL Product and Program Management 2012-07-10 02:38:20 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 RHEL Product and Program Management 2012-07-10 19:58:17 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 3 RHEL Product and Program Management 2012-12-14 02:01:30 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 10 Steven J. Levine 2013-07-19 17:00:14 EDT
Marking docs_scoped- since it looks as if this change does not require an update the LVM manual. If that is not correct and this should be added to the user manual, please let me know.
Comment 11 Alasdair Kergon 2013-08-13 13:37:01 EDT
Summary: If using -cn to say that a VG is no longer clustered, it makes no sense for us to allow any of the LVs to remain active on any other node.  Otherwise it would still actually be clustered but we would be encouraging people to pretend it was not!
Comment 12 Alasdair Kergon 2013-09-25 17:58:19 EDT
So we don't currently have a function to tell us definitively whether or not an LV is active on a remote node.  I have a prototype patch but further work is needed.
Comment 16 Alasdair Kergon 2016-01-19 20:39:20 EST
I think the one outstanding change is to update distribute_command() in clvmd.c so that when CLVMD_FLAG_REMOTE is set it no longer also contacts the local node.

(So for this case, remove add_to_lvmqueue, reduce the number of expected replies by one, and do something sensible if the local node is the only node.  Note that this is a shared code path with requests to contact all nodes.)
Comment 17 Jonathan Earl Brassow 2016-01-21 16:59:58 EST
We have a function many lv_is_active_*() functions.  We don't have one specifically for this check, but we could.  The capability is there in the base function (_lv_is_active()).

I'll devel_ack+ this one.

Note You need to log in before you can comment on or make changes to this bug.